summaryrefslogtreecommitdiff
path: root/linux.sh
diff options
context:
space:
mode:
Diffstat (limited to 'linux.sh')
-rwxr-xr-xlinux.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/linux.sh b/linux.sh
new file mode 100755
index 0000000..11b9fe7
--- /dev/null
+++ b/linux.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+set -e
+
+ver=5.13
+
+DIR="$(realpath $(dirname "$BASH_SOURCE"))"
+cd "$DIR"
+
+rm -rf "incoming-$ver"
+mkdir "incoming-$ver"
+
+(
+ cd "$HOME/sw/linux"
+ base="$(git merge-base "linux-stable/linux-$ver.y" "raspberrypi/rpi-$ver.y")"
+ git format-patch -o "$DIR/incoming-$ver" "$base".."raspberrypi/rpi-$ver.y"
+ git diff "$base".."linux-stable/linux-$ver.y" > "$DIR/stable-$ver.patch"
+)
+
+python3 import_series.py "rpi-$ver" "incoming-$ver"
+
+python3 export_series.py "rpi-$ver" "stable-$ver.patch" "prb-$ver.patch" > "rpi-$ver.patch"
+cp "rpi-$ver.patch" ~/sw/fedora/hvenev-kernel/patches/9000-rpi.patch